﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/ad3870b89536/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2021.3.9f1.exe'
$checksum64     = '7ccbf66c01e17d717ac16c6bbe8b56a0f5e4c3f897fc57c9ae59585ee5463a60'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
